## Index

### Type aliases

- BatchGetItemOutputWithUnprocessedKeys

### Functions

- batchGetItemsFetchAll
- combineBatchGetResponses
- hasUnprocessedKeys

## Type aliases

### BatchGetItemOutputWithUnprocessedKeys

BatchGetItemOutputWithUnprocessedKeys: BatchGetItemOutput & object

- Defined in dynamo/batchget/batch-get-utils.ts:39

## Functions

### batchGetItemsFetchAll

- batchGetItemsFetchAll(dynamoDBWrapper: DynamoDbWrapper, params: BatchGetItemInput, backoffTimer: IterableIterator<number>, throttleTimeSlot: number): Promise<BatchGetItemOutput>

- - Defined in dynamo/batchget/batch-get-utils.ts:13

  Function which executes batchGetItem operations until all given items (as params) are processed (fetched). Between each follow-up request (in case of unprocessed items) a delay is interposed calculated by the given backoffTime and throttleTimeSlot.

  #### Parameters

  - ##### dynamoDBWrapper: DynamoDbWrapper

  - ##### params: BatchGetItemInput

    containing the keys per table to create the batchGet operation

  - ##### backoffTimer: IterableIterator<number>

    used to determine how many time slots the follow-up request should be delayed

  - ##### throttleTimeSlot: number

    used to calculate the effective wait time

  #### Returns Promise<BatchGetItemOutput>

### combineBatchGetResponses

- combineBatchGetResponses(response1: BatchGetItemOutput): (Anonymous function)

- - Defined in dynamo/batchget/batch-get-utils.ts:56

  combines a first with a second response. ConsumedCapacity is always from the latter.

  #### Parameters

  - ##### response1: BatchGetItemOutput

  #### Returns (Anonymous function)

### hasUnprocessedKeys

- hasUnprocessedKeys(response: BatchGetItemOutput): boolean

- - Defined in dynamo/batchget/batch-get-utils.ts:43

  #### Parameters

  - ##### response: BatchGetItemOutput

  #### Returns boolean

Generated using TypeDoc